function preset (context, opts = {}) {
  const config = {
    presets: [
      ['es2015', opts],
    ],
    plugins: [
      // react
      'babel-plugin-transform-react-jsx',
      'babel-plugin-syntax-jsx',
      'babel-plugin-transform-react-display-name',

      // stage 3
      'syntax-trailing-function-commas',

      // stage 2
      'transform-class-properties',
      'transform-object-rest-spread',

      // stage 1
      'transform-export-extensions',
    ],
  }

  if (opts.runtime !== false) {
    config.plugins.unshift('transform-runtime')
  }

  return config
}

module.exports = preset
